from banbou import _Fichier

def test_doit_lire_un_fichier(mocker):
    

    param01, param02 = (r"C:\Users\David_Castex\Documents\DATAS\GITDAV\NEOBANBOU\test\JEUXDONNEES\dossier00", "mon fichier.csv")
    

    value = "mon_fichier"
    mock = mocker.patch("banbou.formatter", return_value = value )
    sut = _Fichier.lire(param01, param02)

    assert isinstance(sut, _Fichier) == True
    assert sut.nom == "mon_fichier"
    assert sut.nom_original == "mon fichier"
    assert sut.extension == "csv"
    assert sut.chemin == r"C:\Users\David_Castex\Documents\DATAS\GITDAV\NEOBANBOU\test\JEUXDONNEES\dossier00\mon fichier.csv"



